A bug in core code? getting errors after upgrading to 3.1.0 from 1.13.3 (Magento 2.3.2)

Hello,

After upgrading Algolia from 1.13.3 to the 3.1.0 version, I’m getting this error when algolia_categories indexer is run(Please view the attached screenshot).

This is where this value is retrieved in the code:

And this is the value in the database:

This value was there in the database in 1.13.3 version as well. Currently, I’ve no idea what this value is for or how does it work. Could anyone help me with anything so I can investigate further and actually find out how to solve this issue?

Thank you